clear all;clc;


pxx = 0;
pyy = 0;
pzz = 45;

ampli = 20;

time = 15;

step = 0.1;
wc = 0.4;
ws = 0.8;
wz= 1.6;

index=1;

for t=1:step:time

pxb(index) = pxx + ampli * cos( wc * pi * t );
pyb(index) = pyy + ampli * sin( ws * pi * t );
pzb(index) = pzz + 5 * cos( wz * pi * t );

index = index +1 ;
end

plot3( pxb , pyb , pzb )

grid on;rotate3d on;zlabel('Z');ylabel('Y');xlabel('X');
campos('manual');

trajjj = [ pxb' pyb' pzb' ] 

clear all;clc;
RHO = 15;
THETA = -180:1:180
[X,Y] = pol2cart(deg2rad(THETA),RHO) 
figure(2);
plot( X, Y );

% [X,Y,Z] = pol2cart(THETA,RHO,Z)
